const logger = require('./libs/logger.js');
const api = require('./libs/api.js');
const server = require('./libs/server.js')
const packageJSON = require('./package.json');

logger.info("launching " + packageJSON.name + " " + packageJSON.version);
api.setupEndpoints()
    .then(server.start)
    .catch(function (err) {
        logger.error(err);
        process.exit(1);
    });